# loki.transformations.extract.tests.test_extract_transformation

Functions

`test_extract_transformation_module`(...) | Test basic subroutine extraction from marker pragmas in modules.
`test_extract_transformation_sourcefile`(...) | Test internal procedure extraction and region outlining from subroutines.

test_extract_transformation_module(extract_internals, outline_regions, frontend, tmp_path)

  Test basic subroutine extraction from marker pragmas in modules.

test_extract_transformation_sourcefile(extract_internals, outline_regions, frontend)

  Test internal procedure extraction and region outlining from subroutines.